import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateDelegateToResourceCommandInput, AssociateDelegateToResourceCommandOutput } from "../commands/AssociateDelegateToResourceCommand";
import { AssociateMemberToGroupCommandInput, AssociateMemberToGroupCommandOutput } from "../commands/AssociateMemberToGroupCommand";
import { AssumeImpersonationRoleCommandInput, AssumeImpersonationRoleCommandOutput } from "../commands/AssumeImpersonationRoleCommand";
import { CancelMailboxExportJobCommandInput, CancelMailboxExportJobCommandOutput } from "../commands/CancelMailboxExportJobCommand";
import { CreateAliasCommandInput, CreateAliasCommandOutput } from "../commands/CreateAliasCommand";
import { CreateAvailabilityConfigurationCommandInput, CreateAvailabilityConfigurationCommandOutput } from "../commands/CreateAvailabilityConfigurationCommand";
import { CreateGroupCommandInput, CreateGroupCommandOutput } from "../commands/CreateGroupCommand";
import { CreateIdentityCenterApplicationCommandInput, CreateIdentityCenterApplicationCommandOutput } from "../commands/CreateIdentityCenterApplicationCommand";
import { CreateImpersonationRoleCommandInput, CreateImpersonationRoleCommandOutput } from "../commands/CreateImpersonationRoleCommand";
import { CreateMobileDeviceAccessRuleCommandInput, CreateMobileDeviceAccessRuleCommandOutput } from "../commands/CreateMobileDeviceAccessRuleCommand";
import { CreateOrganizationCommandInput, CreateOrganizationCommandOutput } from "../commands/CreateOrganizationCommand";
import { CreateResourceCommandInput, CreateResourceCommandOutput } from "../commands/CreateResourceCommand";
import { CreateUserCommandInput, CreateUserCommandOutput } from "../commands/CreateUserCommand";
import { DeleteAccessControlRuleCommandInput, DeleteAccessControlRuleCommandOutput } from "../commands/DeleteAccessControlRuleCommand";
import { DeleteAliasCommandInput, DeleteAliasCommandOutput } from "../commands/DeleteAliasCommand";
import { DeleteAvailabilityConfigurationCommandInput, DeleteAvailabilityConfigurationCommandOutput } from "../commands/DeleteAvailabilityConfigurationCommand";
import { DeleteEmailMonitoringConfigurationCommandInput, DeleteEmailMonitoringConfigurationCommandOutput } from "../commands/DeleteEmailMonitoringConfigurationCommand";
import { DeleteGroupCommandInput, DeleteGroupCommandOutput } from "../commands/DeleteGroupCommand";
import { DeleteIdentityCenterApplicationCommandInput, DeleteIdentityCenterApplicationCommandOutput } from "../commands/DeleteIdentityCenterApplicationCommand";
import { DeleteIdentityProviderConfigurationCommandInput, DeleteIdentityProviderConfigurationCommandOutput } from "../commands/DeleteIdentityProviderConfigurationCommand";
import { DeleteImpersonationRoleCommandInput, DeleteImpersonationRoleCommandOutput } from "../commands/DeleteImpersonationRoleCommand";
import { DeleteMailboxPermissionsCommandInput, DeleteMailboxPermissionsCommandOutput } from "../commands/DeleteMailboxPermissionsCommand";
import { DeleteMobileDeviceAccessOverrideCommandInput, DeleteMobileDeviceAccessOverrideCommandOutput } from "../commands/DeleteMobileDeviceAccessOverrideCommand";
import { DeleteMobileDeviceAccessRuleCommandInput, DeleteMobileDeviceAccessRuleCommandOutput } from "../commands/DeleteMobileDeviceAccessRuleCommand";
import { DeleteOrganizationCommandInput, DeleteOrganizationCommandOutput } from "../commands/DeleteOrganizationCommand";
import { DeletePersonalAccessTokenCommandInput, DeletePersonalAccessTokenCommandOutput } from "../commands/DeletePersonalAccessTokenCommand";
import { DeleteResourceCommandInput, DeleteResourceCommandOutput } from "../commands/DeleteResourceCommand";
import { DeleteRetentionPolicyCommandInput, DeleteRetentionPolicyCommandOutput } from "../commands/DeleteRetentionPolicyCommand";
import { DeleteUserCommandInput, DeleteUserCommandOutput } from "../commands/DeleteUserCommand";
import { DeregisterFromWorkMailCommandInput, DeregisterFromWorkMailCommandOutput } from "../commands/DeregisterFromWorkMailCommand";
import { DeregisterMailDomainCommandInput, DeregisterMailDomainCommandOutput } from "../commands/DeregisterMailDomainCommand";
import { DescribeEmailMonitoringConfigurationCommandInput, DescribeEmailMonitoringConfigurationCommandOutput } from "../commands/DescribeEmailMonitoringConfigurationCommand";
import { DescribeEntityCommandInput, DescribeEntityCommandOutput } from "../commands/DescribeEntityCommand";
import { DescribeGroupCommandInput, DescribeGroupCommandOutput } from "../commands/DescribeGroupCommand";
import { DescribeIdentityProviderConfigurationCommandInput, DescribeIdentityProviderConfigurationCommandOutput } from "../commands/DescribeIdentityProviderConfigurationCommand";
import { DescribeInboundDmarcSettingsCommandInput, DescribeInboundDmarcSettingsCommandOutput } from "../commands/DescribeInboundDmarcSettingsCommand";
import { DescribeMailboxExportJobCommandInput, DescribeMailboxExportJobCommandOutput } from "../commands/DescribeMailboxExportJobCommand";
import { DescribeOrganizationCommandInput, DescribeOrganizationCommandOutput } from "../commands/DescribeOrganizationCommand";
import { DescribeResourceCommandInput, DescribeResourceCommandOutput } from "../commands/DescribeResourceCommand";
import { DescribeUserCommandInput, DescribeUserCommandOutput } from "../commands/DescribeUserCommand";
import { DisassociateDelegateFromResourceCommandInput, DisassociateDelegateFromResourceCommandOutput } from "../commands/DisassociateDelegateFromResourceCommand";
import { DisassociateMemberFromGroupCommandInput, DisassociateMemberFromGroupCommandOutput } from "../commands/DisassociateMemberFromGroupCommand";
import { GetAccessControlEffectCommandInput, GetAccessControlEffectCommandOutput } from "../commands/GetAccessControlEffectCommand";
import { GetDefaultRetentionPolicyCommandInput, GetDefaultRetentionPolicyCommandOutput } from "../commands/GetDefaultRetentionPolicyCommand";
import { GetImpersonationRoleCommandInput, GetImpersonationRoleCommandOutput } from "../commands/GetImpersonationRoleCommand";
import { GetImpersonationRoleEffectCommandInput, GetImpersonationRoleEffectCommandOutput } from "../commands/GetImpersonationRoleEffectCommand";
import { GetMailboxDetailsCommandInput, GetMailboxDetailsCommandOutput } from "../commands/GetMailboxDetailsCommand";
import { GetMailDomainCommandInput, GetMailDomainCommandOutput } from "../commands/GetMailDomainCommand";
import { GetMobileDeviceAccessEffectCommandInput, GetMobileDeviceAccessEffectCommandOutput } from "../commands/GetMobileDeviceAccessEffectCommand";
import { GetMobileDeviceAccessOverrideCommandInput, GetMobileDeviceAccessOverrideCommandOutput } from "../commands/GetMobileDeviceAccessOverrideCommand";
import { GetPersonalAccessTokenMetadataCommandInput, GetPersonalAccessTokenMetadataCommandOutput } from "../commands/GetPersonalAccessTokenMetadataCommand";
import { ListAccessControlRulesCommandInput, ListAccessControlRulesCommandOutput } from "../commands/ListAccessControlRulesCommand";
import { ListAliasesCommandInput, ListAliasesCommandOutput } from "../commands/ListAliasesCommand";
import { ListAvailabilityConfigurationsCommandInput, ListAvailabilityConfigurationsCommandOutput } from "../commands/ListAvailabilityConfigurationsCommand";
import { ListGroupMembersCommandInput, ListGroupMembersCommandOutput } from "../commands/ListGroupMembersCommand";
import { ListGroupsCommandInput, ListGroupsCommandOutput } from "../commands/ListGroupsCommand";
import { ListGroupsForEntityCommandInput, ListGroupsForEntityCommandOutput } from "../commands/ListGroupsForEntityCommand";
import { ListImpersonationRolesCommandInput, ListImpersonationRolesCommandOutput } from "../commands/ListImpersonationRolesCommand";
import { ListMailboxExportJobsCommandInput, ListMailboxExportJobsCommandOutput } from "../commands/ListMailboxExportJobsCommand";
import { ListMailboxPermissionsCommandInput, ListMailboxPermissionsCommandOutput } from "../commands/ListMailboxPermissionsCommand";
import { ListMailDomainsCommandInput, ListMailDomainsCommandOutput } from "../commands/ListMailDomainsCommand";
import { ListMobileDeviceAccessOverridesCommandInput, ListMobileDeviceAccessOverridesCommandOutput } from "../commands/ListMobileDeviceAccessOverridesCommand";
import { ListMobileDeviceAccessRulesCommandInput, ListMobileDeviceAccessRulesCommandOutput } from "../commands/ListMobileDeviceAccessRulesCommand";
import { ListOrganizationsCommandInput, ListOrganizationsCommandOutput } from "../commands/ListOrganizationsCommand";
import { ListPersonalAccessTokensCommandInput, ListPersonalAccessTokensCommandOutput } from "../commands/ListPersonalAccessTokensCommand";
import { ListResourceDelegatesCommandInput, ListResourceDelegatesCommandOutput } from "../commands/ListResourceDelegatesCommand";
import { ListResourcesCommandInput, ListResourcesCommandOutput } from "../commands/ListResourcesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListUsersCommandInput, ListUsersCommandOutput } from "../commands/ListUsersCommand";
import { PutAccessControlRuleCommandInput, PutAccessControlRuleCommandOutput } from "../commands/PutAccessControlRuleCommand";
import { PutEmailMonitoringConfigurationCommandInput, PutEmailMonitoringConfigurationCommandOutput } from "../commands/PutEmailMonitoringConfigurationCommand";
import { PutIdentityProviderConfigurationCommandInput, PutIdentityProviderConfigurationCommandOutput } from "../commands/PutIdentityProviderConfigurationCommand";
import { PutInboundDmarcSettingsCommandInput, PutInboundDmarcSettingsCommandOutput } from "../commands/PutInboundDmarcSettingsCommand";
import { PutMailboxPermissionsCommandInput, PutMailboxPermissionsCommandOutput } from "../commands/PutMailboxPermissionsCommand";
import { PutMobileDeviceAccessOverrideCommandInput, PutMobileDeviceAccessOverrideCommandOutput } from "../commands/PutMobileDeviceAccessOverrideCommand";
import { PutRetentionPolicyCommandInput, PutRetentionPolicyCommandOutput } from "../commands/PutRetentionPolicyCommand";
import { RegisterMailDomainCommandInput, RegisterMailDomainCommandOutput } from "../commands/RegisterMailDomainCommand";
import { RegisterToWorkMailCommandInput, RegisterToWorkMailCommandOutput } from "../commands/RegisterToWorkMailCommand";
import { ResetPasswordCommandInput, ResetPasswordCommandOutput } from "../commands/ResetPasswordCommand";
import { StartMailboxExportJobCommandInput, StartMailboxExportJobCommandOutput } from "../commands/StartMailboxExportJobCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { TestAvailabilityConfigurationCommandInput, TestAvailabilityConfigurationCommandOutput } from "../commands/TestAvailabilityConfigurationCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateAvailabilityConfigurationCommandInput, UpdateAvailabilityConfigurationCommandOutput } from "../commands/UpdateAvailabilityConfigurationCommand";
import { UpdateDefaultMailDomainCommandInput, UpdateDefaultMailDomainCommandOutput } from "../commands/UpdateDefaultMailDomainCommand";
import { UpdateGroupCommandInput, UpdateGroupCommandOutput } from "../commands/UpdateGroupCommand";
import { UpdateImpersonationRoleCommandInput, UpdateImpersonationRoleCommandOutput } from "../commands/UpdateImpersonationRoleCommand";
import { UpdateMailboxQuotaCommandInput, UpdateMailboxQuotaCommandOutput } from "../commands/UpdateMailboxQuotaCommand";
import { UpdateMobileDeviceAccessRuleCommandInput, UpdateMobileDeviceAccessRuleCommandOutput } from "../commands/UpdateMobileDeviceAccessRuleCommand";
import { UpdatePrimaryEmailAddressCommandInput, UpdatePrimaryEmailAddressCommandOutput } from "../commands/UpdatePrimaryEmailAddressCommand";
import { UpdateResourceCommandInput, UpdateResourceCommandOutput } from "../commands/UpdateResourceCommand";
import { UpdateUserCommandInput, UpdateUserCommandOutput } from "../commands/UpdateUserCommand";
/**
 * serializeAws_json1_1AssociateDelegateToResourceCommand
 */
export declare const se_AssociateDelegateToResourceCommand: (input: AssociateDelegateToResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1AssociateMemberToGroupCommand
 */
export declare const se_AssociateMemberToGroupCommand: (input: AssociateMemberToGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1AssumeImpersonationRoleCommand
 */
export declare const se_AssumeImpersonationRoleCommand: (input: AssumeImpersonationRoleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CancelMailboxExportJobCommand
 */
export declare const se_CancelMailboxExportJobCommand: (input: CancelMailboxExportJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateAliasCommand
 */
export declare const se_CreateAliasCommand: (input: CreateAliasCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateAvailabilityConfigurationCommand
 */
export declare const se_CreateAvailabilityConfigurationCommand: (input: CreateAvailabilityConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateGroupCommand
 */
export declare const se_CreateGroupCommand: (input: CreateGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateIdentityCenterApplicationCommand
 */
export declare const se_CreateIdentityCenterApplicationCommand: (input: CreateIdentityCenterApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateImpersonationRoleCommand
 */
export declare const se_CreateImpersonationRoleCommand: (input: CreateImpersonationRoleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateMobileDeviceAccessRuleCommand
 */
export declare const se_CreateMobileDeviceAccessRuleCommand: (input: CreateMobileDeviceAccessRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateOrganizationCommand
 */
export declare const se_CreateOrganizationCommand: (input: CreateOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateResourceCommand
 */
export declare const se_CreateResourceCommand: (input: CreateResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateUserCommand
 */
export declare const se_CreateUserCommand: (input: CreateUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteAccessControlRuleCommand
 */
export declare const se_DeleteAccessControlRuleCommand: (input: DeleteAccessControlRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteAliasCommand
 */
export declare const se_DeleteAliasCommand: (input: DeleteAliasCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteAvailabilityConfigurationCommand
 */
export declare const se_DeleteAvailabilityConfigurationCommand: (input: DeleteAvailabilityConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteEmailMonitoringConfigurationCommand
 */
export declare const se_DeleteEmailMonitoringConfigurationCommand: (input: DeleteEmailMonitoringConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteGroupCommand
 */
export declare const se_DeleteGroupCommand: (input: DeleteGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteIdentityCenterApplicationCommand
 */
export declare const se_DeleteIdentityCenterApplicationCommand: (input: DeleteIdentityCenterApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteIdentityProviderConfigurationCommand
 */
export declare const se_DeleteIdentityProviderConfigurationCommand: (input: DeleteIdentityProviderConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteImpersonationRoleCommand
 */
export declare const se_DeleteImpersonationRoleCommand: (input: DeleteImpersonationRoleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMailboxPermissionsCommand
 */
export declare const se_DeleteMailboxPermissionsCommand: (input: DeleteMailboxPermissionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMobileDeviceAccessOverrideCommand
 */
export declare const se_DeleteMobileDeviceAccessOverrideCommand: (input: DeleteMobileDeviceAccessOverrideCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMobileDeviceAccessRuleCommand
 */
export declare const se_DeleteMobileDeviceAccessRuleCommand: (input: DeleteMobileDeviceAccessRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteOrganizationCommand
 */
export declare const se_DeleteOrganizationCommand: (input: DeleteOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeletePersonalAccessTokenCommand
 */
export declare const se_DeletePersonalAccessTokenCommand: (input: DeletePersonalAccessTokenCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteResourceCommand
 */
export declare const se_DeleteResourceCommand: (input: DeleteResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteRetentionPolicyCommand
 */
export declare const se_DeleteRetentionPolicyCommand: (input: DeleteRetentionPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteUserCommand
 */
export declare const se_DeleteUserCommand: (input: DeleteUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeregisterFromWorkMailCommand
 */
export declare const se_DeregisterFromWorkMailCommand: (input: DeregisterFromWorkMailCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeregisterMailDomainCommand
 */
export declare const se_DeregisterMailDomainCommand: (input: DeregisterMailDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEmailMonitoringConfigurationCommand
 */
export declare const se_DescribeEmailMonitoringConfigurationCommand: (input: DescribeEmailMonitoringConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEntityCommand
 */
export declare const se_DescribeEntityCommand: (input: DescribeEntityCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeGroupCommand
 */
export declare const se_DescribeGroupCommand: (input: DescribeGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeIdentityProviderConfigurationCommand
 */
export declare const se_DescribeIdentityProviderConfigurationCommand: (input: DescribeIdentityProviderConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeInboundDmarcSettingsCommand
 */
export declare const se_DescribeInboundDmarcSettingsCommand: (input: DescribeInboundDmarcSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMailboxExportJobCommand
 */
export declare const se_DescribeMailboxExportJobCommand: (input: DescribeMailboxExportJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeOrganizationCommand
 */
export declare const se_DescribeOrganizationCommand: (input: DescribeOrganizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeResourceCommand
 */
export declare const se_DescribeResourceCommand: (input: DescribeResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeUserCommand
 */
export declare const se_DescribeUserCommand: (input: DescribeUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DisassociateDelegateFromResourceCommand
 */
export declare const se_DisassociateDelegateFromResourceCommand: (input: DisassociateDelegateFromResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DisassociateMemberFromGroupCommand
 */
export declare const se_DisassociateMemberFromGroupCommand: (input: DisassociateMemberFromGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetAccessControlEffectCommand
 */
export declare const se_GetAccessControlEffectCommand: (input: GetAccessControlEffectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetDefaultRetentionPolicyCommand
 */
export declare const se_GetDefaultRetentionPolicyCommand: (input: GetDefaultRetentionPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetImpersonationRoleCommand
 */
export declare const se_GetImpersonationRoleCommand: (input: GetImpersonationRoleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetImpersonationRoleEffectCommand
 */
export declare const se_GetImpersonationRoleEffectCommand: (input: GetImpersonationRoleEffectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMailboxDetailsCommand
 */
export declare const se_GetMailboxDetailsCommand: (input: GetMailboxDetailsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMailDomainCommand
 */
export declare const se_GetMailDomainCommand: (input: GetMailDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMobileDeviceAccessEffectCommand
 */
export declare const se_GetMobileDeviceAccessEffectCommand: (input: GetMobileDeviceAccessEffectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetMobileDeviceAccessOverrideCommand
 */
export declare const se_GetMobileDeviceAccessOverrideCommand: (input: GetMobileDeviceAccessOverrideCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetPersonalAccessTokenMetadataCommand
 */
export declare const se_GetPersonalAccessTokenMetadataCommand: (input: GetPersonalAccessTokenMetadataCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListAccessControlRulesCommand
 */
export declare const se_ListAccessControlRulesCommand: (input: ListAccessControlRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListAliasesCommand
 */
export declare const se_ListAliasesCommand: (input: ListAliasesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListAvailabilityConfigurationsCommand
 */
export declare const se_ListAvailabilityConfigurationsCommand: (input: ListAvailabilityConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListGroupMembersCommand
 */
export declare const se_ListGroupMembersCommand: (input: ListGroupMembersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListGroupsCommand
 */
export declare const se_ListGroupsCommand: (input: ListGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListGroupsForEntityCommand
 */
export declare const se_ListGroupsForEntityCommand: (input: ListGroupsForEntityCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListImpersonationRolesCommand
 */
export declare const se_ListImpersonationRolesCommand: (input: ListImpersonationRolesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMailboxExportJobsCommand
 */
export declare const se_ListMailboxExportJobsCommand: (input: ListMailboxExportJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMailboxPermissionsCommand
 */
export declare const se_ListMailboxPermissionsCommand: (input: ListMailboxPermissionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMailDomainsCommand
 */
export declare const se_ListMailDomainsCommand: (input: ListMailDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMobileDeviceAccessOverridesCommand
 */
export declare const se_ListMobileDeviceAccessOverridesCommand: (input: ListMobileDeviceAccessOverridesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListMobileDeviceAccessRulesCommand
 */
export declare const se_ListMobileDeviceAccessRulesCommand: (input: ListMobileDeviceAccessRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListOrganizationsCommand
 */
export declare const se_ListOrganizationsCommand: (input: ListOrganizationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListPersonalAccessTokensCommand
 */
export declare const se_ListPersonalAccessTokensCommand: (input: ListPersonalAccessTokensCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListResourceDelegatesCommand
 */
export declare const se_ListResourceDelegatesCommand: (input: ListResourceDelegatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListResourcesCommand
 */
export declare const se_ListResourcesCommand: (input: ListResourcesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListUsersCommand
 */
export declare const se_ListUsersCommand: (input: ListUsersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutAccessControlRuleCommand
 */
export declare const se_PutAccessControlRuleCommand: (input: PutAccessControlRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutEmailMonitoringConfigurationCommand
 */
export declare const se_PutEmailMonitoringConfigurationCommand: (input: PutEmailMonitoringConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutIdentityProviderConfigurationCommand
 */
export declare const se_PutIdentityProviderConfigurationCommand: (input: PutIdentityProviderConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutInboundDmarcSettingsCommand
 */
export declare const se_PutInboundDmarcSettingsCommand: (input: PutInboundDmarcSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutMailboxPermissionsCommand
 */
export declare const se_PutMailboxPermissionsCommand: (input: PutMailboxPermissionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutMobileDeviceAccessOverrideCommand
 */
export declare const se_PutMobileDeviceAccessOverrideCommand: (input: PutMobileDeviceAccessOverrideCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1PutRetentionPolicyCommand
 */
export declare const se_PutRetentionPolicyCommand: (input: PutRetentionPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RegisterMailDomainCommand
 */
export declare const se_RegisterMailDomainCommand: (input: RegisterMailDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RegisterToWorkMailCommand
 */
export declare const se_RegisterToWorkMailCommand: (input: RegisterToWorkMailCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ResetPasswordCommand
 */
export declare const se_ResetPasswordCommand: (input: ResetPasswordCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMailboxExportJobCommand
 */
export declare const se_StartMailboxExportJobCommand: (input: StartMailboxExportJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1TestAvailabilityConfigurationCommand
 */
export declare const se_TestAvailabilityConfigurationCommand: (input: TestAvailabilityConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateAvailabilityConfigurationCommand
 */
export declare const se_UpdateAvailabilityConfigurationCommand: (input: UpdateAvailabilityConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateDefaultMailDomainCommand
 */
export declare const se_UpdateDefaultMailDomainCommand: (input: UpdateDefaultMailDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateGroupCommand
 */
export declare const se_UpdateGroupCommand: (input: UpdateGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateImpersonationRoleCommand
 */
export declare const se_UpdateImpersonationRoleCommand: (input: UpdateImpersonationRoleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateMailboxQuotaCommand
 */
export declare const se_UpdateMailboxQuotaCommand: (input: UpdateMailboxQuotaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateMobileDeviceAccessRuleCommand
 */
export declare const se_UpdateMobileDeviceAccessRuleCommand: (input: UpdateMobileDeviceAccessRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdatePrimaryEmailAddressCommand
 */
export declare const se_UpdatePrimaryEmailAddressCommand: (input: UpdatePrimaryEmailAddressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateResourceCommand
 */
export declare const se_UpdateResourceCommand: (input: UpdateResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateUserCommand
 */
export declare const se_UpdateUserCommand: (input: UpdateUserCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_json1_1AssociateDelegateToResourceCommand
 */
export declare const de_AssociateDelegateToResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateDelegateToResourceCommandOutput>;
/**
 * deserializeAws_json1_1AssociateMemberToGroupCommand
 */
export declare const de_AssociateMemberToGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateMemberToGroupCommandOutput>;
/**
 * deserializeAws_json1_1AssumeImpersonationRoleCommand
 */
export declare const de_AssumeImpersonationRoleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssumeImpersonationRoleCommandOutput>;
/**
 * deserializeAws_json1_1CancelMailboxExportJobCommand
 */
export declare const de_CancelMailboxExportJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CancelMailboxExportJobCommandOutput>;
/**
 * deserializeAws_json1_1CreateAliasCommand
 */
export declare const de_CreateAliasCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAliasCommandOutput>;
/**
 * deserializeAws_json1_1CreateAvailabilityConfigurationCommand
 */
export declare const de_CreateAvailabilityConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAvailabilityConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1CreateGroupCommand
 */
export declare const de_CreateGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateGroupCommandOutput>;
/**
 * deserializeAws_json1_1CreateIdentityCenterApplicationCommand
 */
export declare const de_CreateIdentityCenterApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateIdentityCenterApplicationCommandOutput>;
/**
 * deserializeAws_json1_1CreateImpersonationRoleCommand
 */
export declare const de_CreateImpersonationRoleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImpersonationRoleCommandOutput>;
/**
 * deserializeAws_json1_1CreateMobileDeviceAccessRuleCommand
 */
export declare const de_CreateMobileDeviceAccessRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMobileDeviceAccessRuleCommandOutput>;
/**
 * deserializeAws_json1_1CreateOrganizationCommand
 */
export declare const de_CreateOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateOrganizationCommandOutput>;
/**
 * deserializeAws_json1_1CreateResourceCommand
 */
export declare const de_CreateResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateResourceCommandOutput>;
/**
 * deserializeAws_json1_1CreateUserCommand
 */
export declare const de_CreateUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserCommandOutput>;
/**
 * deserializeAws_json1_1DeleteAccessControlRuleCommand
 */
export declare const de_DeleteAccessControlRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessControlRuleCommandOutput>;
/**
 * deserializeAws_json1_1DeleteAliasCommand
 */
export declare const de_DeleteAliasCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAliasCommandOutput>;
/**
 * deserializeAws_json1_1DeleteAvailabilityConfigurationCommand
 */
export declare const de_DeleteAvailabilityConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAvailabilityConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DeleteEmailMonitoringConfigurationCommand
 */
export declare const de_DeleteEmailMonitoringConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEmailMonitoringConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DeleteGroupCommand
 */
export declare const de_DeleteGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteGroupCommandOutput>;
/**
 * deserializeAws_json1_1DeleteIdentityCenterApplicationCommand
 */
export declare const de_DeleteIdentityCenterApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteIdentityCenterApplicationCommandOutput>;
/**
 * deserializeAws_json1_1DeleteIdentityProviderConfigurationCommand
 */
export declare const de_DeleteIdentityProviderConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteIdentityProviderConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DeleteImpersonationRoleCommand
 */
export declare const de_DeleteImpersonationRoleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImpersonationRoleCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMailboxPermissionsCommand
 */
export declare const de_DeleteMailboxPermissionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMailboxPermissionsCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMobileDeviceAccessOverrideCommand
 */
export declare const de_DeleteMobileDeviceAccessOverrideCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMobileDeviceAccessOverrideCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMobileDeviceAccessRuleCommand
 */
export declare const de_DeleteMobileDeviceAccessRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMobileDeviceAccessRuleCommandOutput>;
/**
 * deserializeAws_json1_1DeleteOrganizationCommand
 */
export declare const de_DeleteOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteOrganizationCommandOutput>;
/**
 * deserializeAws_json1_1DeletePersonalAccessTokenCommand
 */
export declare const de_DeletePersonalAccessTokenCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePersonalAccessTokenCommandOutput>;
/**
 * deserializeAws_json1_1DeleteResourceCommand
 */
export declare const de_DeleteResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteResourceCommandOutput>;
/**
 * deserializeAws_json1_1DeleteRetentionPolicyCommand
 */
export declare const de_DeleteRetentionPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRetentionPolicyCommandOutput>;
/**
 * deserializeAws_json1_1DeleteUserCommand
 */
export declare const de_DeleteUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserCommandOutput>;
/**
 * deserializeAws_json1_1DeregisterFromWorkMailCommand
 */
export declare const de_DeregisterFromWorkMailCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterFromWorkMailCommandOutput>;
/**
 * deserializeAws_json1_1DeregisterMailDomainCommand
 */
export declare const de_DeregisterMailDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterMailDomainCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEmailMonitoringConfigurationCommand
 */
export declare const de_DescribeEmailMonitoringConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEmailMonitoringConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEntityCommand
 */
export declare const de_DescribeEntityCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEntityCommandOutput>;
/**
 * deserializeAws_json1_1DescribeGroupCommand
 */
export declare const de_DescribeGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeGroupCommandOutput>;
/**
 * deserializeAws_json1_1DescribeIdentityProviderConfigurationCommand
 */
export declare const de_DescribeIdentityProviderConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeIdentityProviderConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DescribeInboundDmarcSettingsCommand
 */
export declare const de_DescribeInboundDmarcSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeInboundDmarcSettingsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMailboxExportJobCommand
 */
export declare const de_DescribeMailboxExportJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMailboxExportJobCommandOutput>;
/**
 * deserializeAws_json1_1DescribeOrganizationCommand
 */
export declare const de_DescribeOrganizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeOrganizationCommandOutput>;
/**
 * deserializeAws_json1_1DescribeResourceCommand
 */
export declare const de_DescribeResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeResourceCommandOutput>;
/**
 * deserializeAws_json1_1DescribeUserCommand
 */
export declare const de_DescribeUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUserCommandOutput>;
/**
 * deserializeAws_json1_1DisassociateDelegateFromResourceCommand
 */
export declare const de_DisassociateDelegateFromResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateDelegateFromResourceCommandOutput>;
/**
 * deserializeAws_json1_1DisassociateMemberFromGroupCommand
 */
export declare const de_DisassociateMemberFromGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateMemberFromGroupCommandOutput>;
/**
 * deserializeAws_json1_1GetAccessControlEffectCommand
 */
export declare const de_GetAccessControlEffectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessControlEffectCommandOutput>;
/**
 * deserializeAws_json1_1GetDefaultRetentionPolicyCommand
 */
export declare const de_GetDefaultRetentionPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDefaultRetentionPolicyCommandOutput>;
/**
 * deserializeAws_json1_1GetImpersonationRoleCommand
 */
export declare const de_GetImpersonationRoleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImpersonationRoleCommandOutput>;
/**
 * deserializeAws_json1_1GetImpersonationRoleEffectCommand
 */
export declare const de_GetImpersonationRoleEffectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetImpersonationRoleEffectCommandOutput>;
/**
 * deserializeAws_json1_1GetMailboxDetailsCommand
 */
export declare const de_GetMailboxDetailsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMailboxDetailsCommandOutput>;
/**
 * deserializeAws_json1_1GetMailDomainCommand
 */
export declare const de_GetMailDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMailDomainCommandOutput>;
/**
 * deserializeAws_json1_1GetMobileDeviceAccessEffectCommand
 */
export declare const de_GetMobileDeviceAccessEffectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMobileDeviceAccessEffectCommandOutput>;
/**
 * deserializeAws_json1_1GetMobileDeviceAccessOverrideCommand
 */
export declare const de_GetMobileDeviceAccessOverrideCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMobileDeviceAccessOverrideCommandOutput>;
/**
 * deserializeAws_json1_1GetPersonalAccessTokenMetadataCommand
 */
export declare const de_GetPersonalAccessTokenMetadataCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPersonalAccessTokenMetadataCommandOutput>;
/**
 * deserializeAws_json1_1ListAccessControlRulesCommand
 */
export declare const de_ListAccessControlRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessControlRulesCommandOutput>;
/**
 * deserializeAws_json1_1ListAliasesCommand
 */
export declare const de_ListAliasesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAliasesCommandOutput>;
/**
 * deserializeAws_json1_1ListAvailabilityConfigurationsCommand
 */
export declare const de_ListAvailabilityConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAvailabilityConfigurationsCommandOutput>;
/**
 * deserializeAws_json1_1ListGroupMembersCommand
 */
export declare const de_ListGroupMembersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGroupMembersCommandOutput>;
/**
 * deserializeAws_json1_1ListGroupsCommand
 */
export declare const de_ListGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGroupsCommandOutput>;
/**
 * deserializeAws_json1_1ListGroupsForEntityCommand
 */
export declare const de_ListGroupsForEntityCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListGroupsForEntityCommandOutput>;
/**
 * deserializeAws_json1_1ListImpersonationRolesCommand
 */
export declare const de_ListImpersonationRolesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImpersonationRolesCommandOutput>;
/**
 * deserializeAws_json1_1ListMailboxExportJobsCommand
 */
export declare const de_ListMailboxExportJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMailboxExportJobsCommandOutput>;
/**
 * deserializeAws_json1_1ListMailboxPermissionsCommand
 */
export declare const de_ListMailboxPermissionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMailboxPermissionsCommandOutput>;
/**
 * deserializeAws_json1_1ListMailDomainsCommand
 */
export declare const de_ListMailDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMailDomainsCommandOutput>;
/**
 * deserializeAws_json1_1ListMobileDeviceAccessOverridesCommand
 */
export declare const de_ListMobileDeviceAccessOverridesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMobileDeviceAccessOverridesCommandOutput>;
/**
 * deserializeAws_json1_1ListMobileDeviceAccessRulesCommand
 */
export declare const de_ListMobileDeviceAccessRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMobileDeviceAccessRulesCommandOutput>;
/**
 * deserializeAws_json1_1ListOrganizationsCommand
 */
export declare const de_ListOrganizationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListOrganizationsCommandOutput>;
/**
 * deserializeAws_json1_1ListPersonalAccessTokensCommand
 */
export declare const de_ListPersonalAccessTokensCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPersonalAccessTokensCommandOutput>;
/**
 * deserializeAws_json1_1ListResourceDelegatesCommand
 */
export declare const de_ListResourceDelegatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResourceDelegatesCommandOutput>;
/**
 * deserializeAws_json1_1ListResourcesCommand
 */
export declare const de_ListResourcesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResourcesCommandOutput>;
/**
 * deserializeAws_json1_1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_json1_1ListUsersCommand
 */
export declare const de_ListUsersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListUsersCommandOutput>;
/**
 * deserializeAws_json1_1PutAccessControlRuleCommand
 */
export declare const de_PutAccessControlRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAccessControlRuleCommandOutput>;
/**
 * deserializeAws_json1_1PutEmailMonitoringConfigurationCommand
 */
export declare const de_PutEmailMonitoringConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutEmailMonitoringConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1PutIdentityProviderConfigurationCommand
 */
export declare const de_PutIdentityProviderConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutIdentityProviderConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1PutInboundDmarcSettingsCommand
 */
export declare const de_PutInboundDmarcSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutInboundDmarcSettingsCommandOutput>;
/**
 * deserializeAws_json1_1PutMailboxPermissionsCommand
 */
export declare const de_PutMailboxPermissionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutMailboxPermissionsCommandOutput>;
/**
 * deserializeAws_json1_1PutMobileDeviceAccessOverrideCommand
 */
export declare const de_PutMobileDeviceAccessOverrideCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutMobileDeviceAccessOverrideCommandOutput>;
/**
 * deserializeAws_json1_1PutRetentionPolicyCommand
 */
export declare const de_PutRetentionPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutRetentionPolicyCommandOutput>;
/**
 * deserializeAws_json1_1RegisterMailDomainCommand
 */
export declare const de_RegisterMailDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterMailDomainCommandOutput>;
/**
 * deserializeAws_json1_1RegisterToWorkMailCommand
 */
export declare const de_RegisterToWorkMailCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterToWorkMailCommandOutput>;
/**
 * deserializeAws_json1_1ResetPasswordCommand
 */
export declare const de_ResetPasswordCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ResetPasswordCommandOutput>;
/**
 * deserializeAws_json1_1StartMailboxExportJobCommand
 */
export declare const de_StartMailboxExportJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMailboxExportJobCommandOutput>;
/**
 * deserializeAws_json1_1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_json1_1TestAvailabilityConfigurationCommand
 */
export declare const de_TestAvailabilityConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TestAvailabilityConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_json1_1UpdateAvailabilityConfigurationCommand
 */
export declare const de_UpdateAvailabilityConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAvailabilityConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1UpdateDefaultMailDomainCommand
 */
export declare const de_UpdateDefaultMailDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDefaultMailDomainCommandOutput>;
/**
 * deserializeAws_json1_1UpdateGroupCommand
 */
export declare const de_UpdateGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateGroupCommandOutput>;
/**
 * deserializeAws_json1_1UpdateImpersonationRoleCommand
 */
export declare const de_UpdateImpersonationRoleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateImpersonationRoleCommandOutput>;
/**
 * deserializeAws_json1_1UpdateMailboxQuotaCommand
 */
export declare const de_UpdateMailboxQuotaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMailboxQuotaCommandOutput>;
/**
 * deserializeAws_json1_1UpdateMobileDeviceAccessRuleCommand
 */
export declare const de_UpdateMobileDeviceAccessRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMobileDeviceAccessRuleCommandOutput>;
/**
 * deserializeAws_json1_1UpdatePrimaryEmailAddressCommand
 */
export declare const de_UpdatePrimaryEmailAddressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePrimaryEmailAddressCommandOutput>;
/**
 * deserializeAws_json1_1UpdateResourceCommand
 */
export declare const de_UpdateResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateResourceCommandOutput>;
/**
 * deserializeAws_json1_1UpdateUserCommand
 */
export declare const de_UpdateUserCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateUserCommandOutput>;
